apiVersion: v1
kind: Secret
metadata:
  name: "{{ .Release.Name }}-secret"
type: Opaque
stringData:
  SECRET_KEY: {{ .Values.secret.djangoSecretKey }}
  ADHESION_CLIENT_ID: {{ .Values.secret.adhesion_client_id }}
  ADHESION_CLIENT_SECRET: {{ .Values.secret.adhesion_client_secret }}
  {{ if .Values.externalDatabase.enabled }}
  DATABASE_URL: "postgres://{{.Values.externalDatabase.username}}:{{.Values.externalDatabase.password}}@{{.Values.externalDatabase.host}}:{{.Values.externalDatabase.port}}/{{.Values.externalDatabase.database}}"
  {{ else }}
  DATABASE_URL: "postgres://{{.Values.postgresql.postgresqlUsername}}:{{.Values.postgresql.postgresqlPassword}}@{{.Release.Name}}-postgresql:5432/{{.Values.postgresql.postgresqlDatabase}}"
  {{ end }}
---
{{ if .Values.backupPostgresql.enabled }}
apiVersion: v1
kind: Secret
metadata:
  name: "va-checker-db-secret"
type: Opaque
stringData:
  {{ if .Values.externalDatabase.enabled }}
  PGUSER: {{.Values.externalDatabase.username}}
  PGPASSWORD: {{.Values.externalDatabase.password}}
  PGDATABASE: {{.Values.externalDatabase.database}}
  PGHOST: {{.Values.externalDatabase.host}}
  {{ else }}
  PGUSER: {{.Values.postgresql.postgresqlUsername}}
  PGPASSWORD: {{.Values.postgresql.postgresqlPassword}}
  PGDATABASE: {{.Values.postgresql.postgresqlDatabase}}
  PGHOST: {{include "postgresql.fullname" .}}
  {{ end }}
{{ end }}
